%global momorel 1
%global svn_date 20070729

%global use_svn 0

Summary:        Compiz Fusion configuration system library
Name:           libcompizconfig
Version:        0.5.2
%if %{use_svn}
Release:        0.%{svn_date}.%{momorel}m%{?dist}
%else
Release:        %{momorel}m%{?dist}
%endif
License:        GPL
Group:          User Interface/Desktops
%if %{use_svn}
Source:         %{name}-%{version}-%{svn_date}.tar.bz2
%else
%NoSource 0     http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2 75b523f00b92986b4b6df0544112b141
%endif

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       compiz-core
BuildRequires:  pkgconfig, popt
BuildRequires:  libxml2-devel
BuildRequires:  compiz-core >= 0.5.2
Provides:	libccs
Obsoletes:	libccs

%description
Compiz Fusion configuration system library.

%prep
%if %{use_svn}
%setup -q -n %{name}
%else
%setup -q 
%endif

%build

%if %{use_svn}
./autogen.sh
make distclean
%endif

%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/compizconfig/backends/*.a
rm -f %{buildroot}%{_libdir}/compiz/*.a
find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_includedir}/compizconfig/ccs.h
%{_includedir}/compizconfig/ccs-backend.h
%{_libdir}/*.so*
%{_libdir}/compizconfig/backends/*.so
%{_libdir}/compiz/*.so
%{_libdir}/pkgconfig/libcompizconfig.pc
%{_datadir}/compizconfig/global.xml

%changelog
* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-1m)
- update 0.5.2

* Sun Jul 29 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070729.1m)
- update 20070729

* Tue Jul 17 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070717.1m)
- update 20070717

* Fri Jul  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070706.1m)
- update 20070706

* Thu Jun 28 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070630.1m)
- rename package libccs to libcompizconfig
- update 20070630

* Sun Jun 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.1-0.20070621.2m)
- change Requires from compiz to compiz-core

* Thu Jun 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070621.1m)
- update 20070621

* Sat Jun 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070616.1m)
- update 20070616

* Tue Jun 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070612.1m)
- update 20070612

* Sun Jun  3 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070524.2m)
- rebuild against compiz-20070603

* Fri May 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070524.1m)
- update 20070524

* Sun May 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070519.2m)
- remove BuildReq: beryl-core

* Sat May 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070519.1m)
- initial commit

